[Ubuntu] Fix locale Perl

В последнее время заметил на всех сервера под управлением Ubuntu Server 14.04 одну общую проблему. При попытке обновиться стандартными средствами выдается ошибка настройки локализации. Быстрый гуглеж выдает вот такое примитивное решение.

Собственно вот такой код вам может выдать консоль при попытке обновить систему:

1
2
3
4
5
6
7
8
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
   LANGUAGE = (unset),
   LC_ALL = (unset),
   LC_CTYPE = "ru_RU.UTF-8",
   LANG = "en_US.UTF-8"
are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").

Такая ошибка лечится простой командой по переопределению локалей:

1
sudo locale-gen ru_RU ru_RU.UTF-8 en_US en_US.UTF-8

На этом все!

Опубликовано 08.08.2016 в 10:34 · Автор JTProg_ru · Ссылка
Рубрики: HOW-TO, Ubuntu, Шпаргалка · Теги: , ,